Turn a whole market on or off (admin)
PUT
/broker/market-access
const url = 'https://api.hedgespecialty.com/api/v1/broker/market-access';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"market_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.hedgespecialty.com/api/v1/broker/market-access \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "market_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "enabled": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
market_id
required
string format: uuid
enabled
required
boolean
Examplegenerated
{ "market_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "enabled": true}Responses
Section titled “Responses”The refreshed market-access table
Admin role required
Market not visible to this brokerage